OpenVDB 5.1.0

HalfWriter< IsReal, T > Struct Template Reference

`#include <Compression.h>`

## Detailed Description

### template<bool IsReal, typename T>
struct openvdb::v5_1::io::HalfWriter< IsReal, T >

HalfWriter wraps a static function, write(), that is analogous to writeData(), above, except that it is partially specialized for floating-point types in order to quantize floating-point values to 16-bit half float. A wrapper class is required because only classes, not functions, can be partially specialized.

The documentation for this struct was generated from the following file:

- Compression.h